<script type="text/javascript">
$(document).ready(function(){
	$("#data_detail").hide();
	
	tampil_gambar();

	cari_user();
	
	function cari_user(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/cari_user.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_user").val(data.user);
				$("#txt_level").val(data.level);
				$("#txt_ucapan").val(data.ucapan);
				$("#txt_limitpot").val(data.limit);
				$("#txt_kodecab").val(data.kodecab);
				
				var user =$("#txt_user").val();
				var level=$("#txt_level").val();
				
				if(!(level=='Kasir')){
				    alert('Maaf, user '+user+' bukan level Kasir, penjualan tidak dapat dilanjutkan.');
				    return(false);
				}else cek_pending();
			}
		});
	}
	
	function cek_pending(){
		var user = $("#txt_user").val();
		
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/cek_data_pending.php",
			data	: "user="+user,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.kode);
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_kodepl").val(data.kodepl);
				$("#txt_namapl").val(data.namapl);
				$("#txt_kodecab").val(data.kodecab);
				var kode = $("#txt_kode").val();
				
				if(!(kode=='')){
					$('#input_pj').show();
					$("#txt_barcode").focus();
					cari_nourut();
					tampil_data_detail();
				}
				else $("#mulai").focus();
			}
		});
	}
	
	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		$(".input_bayar").val('');
		$("#txt_caribr").val('');
		$("#input_pj").hide();
		$("#data_detail").hide();
		cari_tanggal();
	});
	
	function cari_tanggal(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal	= $("#txt_tanggal").val();
		var user	= $("#txt_user").val();
		var kodecab	= $("#txt_kodecab").val();
		
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/cari_nomor.php",
			data	: "tanggal="+tanggal+
			        "&kodecab="+kodecab+
					"&user="+user,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				cari_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function cari_nourut(){
		var kode = $("#txt_kode").val();
				
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){				
				$("#txt_nourut").val(data.nourut);		
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("kasir/penjualan/tampil_data_detail.php?kode="+kode);
		cari_total();
	}
	
	function cari_total(){
		var kode	=$("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){				
				$("#txt_bruto").val(data.tbruto);
				$("#txt_total").val(data.total);
				$("#txt_netto").val(data.total);
				$("#txt_gtotal").val(data.total);
				$("#txt_ctotal").val(data.total);
				$("#txt_tothpp").val(data.tothpp);
				format_total();
			}
		});
	}
	
	function format_total(){
		var angka = $("#txt_total").val();
		var jhuruf= angka.length;		
				
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/format_rupiah.php",
			data	: "angka="+angka+
					"&jhuruf="+jhuruf,
			dataType: "json",
			success	: function(data){
				$("#txt_ctotal").val(data.huruf);
				$("#txt_barcode").focus();
			}
		});
	}
	
	$('#txt_tanggal').keyup(function(){
        cari_nomor();
	});
	
	$('#reprint').click(function(){
	    $("#data_detail").hide();
		var user 	= $("#txt_user").val();
		var tanggal = $("#txt_tanggal").val();

		$.ajax({
			type	: "GET",
			url		: "kasir/penjualan/tampil_data.php",
			data	: "user="+user+
			        "&tanggal="+tanggal,
			success	: function(data){
			    $("#tampil_data").show();
				$("#tampil_data").html(data);
			}
		});
	});
	
	$("#pending").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		$(".input_bayar").val('');
		$("#txt_caribr").val('');
		$("#input_pj").hide();
		$("#data_detail").hide();
		cari_tanggal();
	});
	
	$('#form_ambil_pending').dialog({
		autoOpen: false,
		modal	: true,
		width: 800,
	});
	
	$("#ambil_pdg").click(function(){
		var tanggal= $("#txt_tanggal").val();
		var user   = $("#txt_user").val();
		$('#form_ambil_pending').dialog('open');
		$('#info_pending').load('kasir/penjualan/tampil_pending.php?tanggal='+tanggal+'&user='+user);
	});
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 800,
	});
		
	$('#txt_namapl').keyup(function(){
		$('#form_cari_plg').dialog('open');
		$("#info_plg").load('kasir/penjualan/tampil_data_plg.php');
		$("#txt_caripl").focus();
	});
	
	$("#txt_caripl").keyup(function(){
		$("#info_plg").show();
		var cari	= $("#txt_caripl").val();
		
		$.ajax({
			type	: "GET",
			url		: "kasir/penjualan/tampil_data_plg.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_plg").html(data);
			}
		});
	});
	
	$('#form_cari_dokter').dialog({
		autoOpen: false,
		modal	: true,
		width: 800,
	});
		
	$('#txt_namadt').keyup(function(){
		var cari= $("#txt_caridt").val();
		$('#form_cari_dokter').dialog('open');
		$("#info_dokter").load('kasir/penjualan/tampil_data_dokter.php?cari='+cari);
		$("#txt_caridt").focus();
	});
	
	$("#txt_caridt").keyup(function(){
		$("#info_dokter").show();
		var cari= $("#txt_caridt").val();
		
		$.ajax({
			type	: "GET",
			url		: "kasir/penjualan/tampil_data_dokter.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_dokter").html(data);
			}
		});
	});

	$('#txt_barcode').keyup(function(){
		var barc	= $('#txt_barcode').val();
		var kodecab = $('#txt_kodecab').val();
		var kategori= $('#txt_kategori').val();
				
		if(barc=='Q'){
			$('#txt_nobank').val('');
			$('#txt_jeniskt').val('');
			$('#txt_nokartu').val('');
			$('#txt_charge').val('');
			$('#form_bayar').dialog('open');
			$('#txt_potong').focus();
		}
		if(barc=='q'){
			$('#txt_nobank').val('');
			$('#txt_jeniskt').val('');
			$('#txt_nokartu').val('');
			$('#txt_charge').val('');
			$('#form_bayar').dialog('open');
			$('#txt_potong').focus();
		}
		
		$("#txt_jmlunit").val('');
		$("#txt_hgjual").val('');
		
		if(barc.length==6){
			$.ajax({
				type	: "POST",
				url		: "kasir/penjualan/cari_barcode.php",
				data	: "barc="+barc+
						"&kodecab="+kodecab,
				dataType: "json",
				success	: function(data){
					$("#txt_kodest").val(data.kodest);
					$("#txt_namast").val(data.namast);
				    $("#txt_satuan").val(data.satuan);
				    $("#t_hgjual").val(data.hgjual);
				    $("#txt_hgjual").val(data.hgjual);
				    $("#txt_hgresep").val(data.hgresep);
				    $("#txt_hgparam").val(data.hgparam);
				    $("#txt_hgbeli").val(data.hgbeli);
				    $("#txt_kodesp").val(data.kodesp);
				    $("#txt_jmlstok").val(data.jmlstok);
				    $("#txt_kodegr").val(data.kodegr);
				    var namast =$("#txt_namast").val();
				    var kodedt =$("#txt_kodedt").val();
				    var kodepl =$("#txt_kodepl").val();
				    var hgresep=$("#txt_hgresep").val();
				    var hgparam=$("#txt_hgparam").val();
				
				    if(!kodedt=='') $("#txt_hgjual").val(hgresep);
				    if(!kodepl=='') $("#txt_hgjual").val(hgparam);
				    
				    if(kategori=='PARAMEDIS') $("#txt_hgjual").val(hgparam);
				    if(kategori=='RESEP') $("#txt_hgjual").val(hgresep);
				
				    if(namast.length>2) $("#txt_jmlunit").focus();
					else $('#txt_barcode').focus();
				}
			});
		}
		
		if(barc.length==12){
			$.ajax({
				type	: "POST",
				url		: "kasir/penjualan/cari_barcode.php",
				data	: "barc="+barc+
						"&kodecab="+kodecab,
				dataType: "json",
				success	: function(data){
					$("#txt_kodest").val(data.kodest);
					$("#txt_namast").val(data.namast);
				    $("#txt_satuan").val(data.satuan);
				    $("#t_hgjual").val(data.hgjual);
				    $("#txt_hgjual").val(data.hgjual);
				    $("#txt_hgresep").val(data.hgresep);
				    $("#txt_hgparam").val(data.hgparam);
				    $("#txt_hgbeli").val(data.hgbeli);
				    $("#txt_kodesp").val(data.kodesp);
				    $("#txt_jmlstok").val(data.jmlstok);
				    $("#txt_kodegr").val(data.kodegr);
				    var namast =$("#txt_namast").val();
				    var kodedt =$("#txt_kodedt").val();
				    var kodepl =$("#txt_kodepl").val();
				    var hgresep=$("#txt_hgresep").val();
				    var hgparam=$("#txt_hgparam").val();
				
				    if(!kodedt=='') $("#txt_hgjual").val(hgresep);
				    if(!kodepl=='') $("#txt_hgjual").val(hgparam);
				
				    if(namast.length>2) $("#txt_jmlunit").focus();
					else $('#txt_barcode').focus();
				}
			});
		}
		
		if(barc.length==13){
			$.ajax({
				type	: "POST",
				url		: "kasir/penjualan/cari_barcode.php",
				data	: "barc="+barc+
						"&kodecab="+kodecab,
				dataType: "json",
				success	: function(data){
					$("#txt_kodest").val(data.kodest);
					$("#txt_namast").val(data.namast);
				    $("#txt_satuan").val(data.satuan);
				    $("#t_hgjual").val(data.hgjual);
				    $("#txt_hgjual").val(data.hgjual);
				    $("#txt_hgresep").val(data.hgresep);
				    $("#txt_hgparam").val(data.hgparam);
				    $("#txt_hgbeli").val(data.hgbeli);
				    $("#txt_kodesp").val(data.kodesp);
				    $("#txt_jmlstok").val(data.jmlstok);
				    $("#txt_kodegr").val(data.kodegr);
				    var namast =$("#txt_namast").val();
				    var kodedt =$("#txt_kodedt").val();
				    var kodepl =$("#txt_kodepl").val();
				    var hgresep=$("#txt_hgresep").val();
				    var hgparam=$("#txt_hgparam").val();
				
				    if(!kodedt=='') $("#txt_hgjual").val(hgresep);
				    if(!kodepl=='') $("#txt_hgjual").val(hgparam);
				
				    if(namast.length>2) $("#txt_jmlunit").focus();
					else $('#txt_barcode').focus();
				}
			});
		}
	});
	
	function tampil_gambar(){
		var kode = $("#txt_kodest").val();		
		$("#tampil_gambar").load("kasir/penjualan/tampil_gambar.php?kode="+kode);
	}
	
	$('#form_cari_barang').dialog({
		autoOpen: false,
		modal	: true,
		width: 950,
	});
	
	$("#txt_namast").keyup(function(){
		$("#txt_jmlunit").val('');
		$("#txt_hgjual").val('');
		$('#form_cari_barang').dialog('open');
		$("#txt_caribr").focus();
	});
	
	$("#txt_caribr").keyup(function(){
		var cari    = $("#txt_caribr").val();
		var kodecab = $('#txt_kodecab').val();
		
		if(cari.length>3){
		$.ajax({
			type	: "GET",
			url		: "kasir/penjualan/tampil_data_barang.php",
			data	: "cari="+cari+
			        "&kodecab="+kodecab,
			success	: function(data){
				$("#info_barang").html(data);
			}
		});
		}
	});
		
	$("#txt_jmlunit").keyup(function(){
		var junit = parseFloat($("#txt_jmlunit").val());
		var jstok = parseFloat($("#txt_jmlstok").val());
		var kodegr= $("#txt_kodegr").val();
	
		if(junit=='') var junit=0;
		else var junit=parseInt(junit);
		
		if(jstok=='') var jstok=0;
		else var jstok=parseInt(jstok);
/*		
		if(junit>jstok){
			alert('Maaf, jumlah penjualan tidak boleh melebihi sisa stok '+jstok+'.');
			return(false);
		}
*/
		hitung_jumlah();
	});
	
	$("#txt_hgjual").keyup(function(){
		hitung_jumlah();
	});
		
	function hitung_jumlah(){
		var unit	=$("#txt_jmlunit").val();
		var hgjual	=$("#txt_hgjual").val();
		var satuan	=$("#txt_satuan").val();
		var kodegr	=$("#txt_kodegr").val();
		var nunit	=parseFloat(unit);
		var nhgjual	=parseInt(hgjual);
		var tjumlah =nunit*hgjual;
		$("#txt_jumlah").val(tjumlah);
	}
	
	$("#simpan").click(function(){
		var kode	= $("#txt_kode").val();
		var tanggal	= $("#txt_tanggal").val();
		var kodecab	= $("#txt_kodecab").val();
		var kodedt 	= $("#txt_kodedt").val();
		var namadt 	= $("#txt_namadt").val();
		var kodepl 	= $("#txt_kodepl").val();
		var namapl 	= $("#txt_namapl").val();
		var pasien 	= $("#txt_pasien").val();
		var user   	= $("#txt_user").val();
		var kodesp 	= $("#txt_kodesp").val();
		var nourut	= $("#txt_nourut").val();
		var kodest	= $("#txt_kodest").val();
		var namast	= $("#txt_namast").val();
		var barcode	= $("#txt_barcode").val();
		var satuan	= $("#txt_satuan").val();
		var jmlunit	= $("#txt_jmlunit").val();
		var hgjual	= $("#txt_hgjual").val();
		var hgbeli	= $("#txt_hgbeli").val();
		var jumlah	= $("#txt_jumlah").val();
		var total	= $("#txt_total").val();
		var hpp		= parseFloat(jmlunit)*parseFloat(hgbeli);
		var jhkode  = kode.length;
		
		if(jhkode<15){
		    alert('Maaf, format Nomor Nota tidak valid, silahkan klik kembali tombol Buat Faktur, dan pastikan Kode Cabang dan Nama Kasir tercantum dalam Nomor Nota.');
		    $("#mulai").focus();
		    return(false);
		}
		
		if(jmlunit=='') var nunit=0;
		else var nunit=parseFloat(jmlunit);
		
		if(hgjual=='') var nhgjual=0;
		else var nhgjual=parseInt(hgjual);

		if(tanggal.length == 0){
           alert("Maaf, Tanggal jurnal tidak boleh kosong, klik Buat Faktur untuk memunculkan tanggal.");
		   return (false);
        }
		if(kode.length == 0){
           alert("Maaf, Nomor faktur masih kosong, klik Buat Faktur untuk buat nomor baru.");
		   return (false);
        }
		if(kodest.length == 0){
           alert("Maaf, Kode Barang tidak boleh kosong.");
		   $("#txt_kodest").focus();
		   return (false);
		}
		if(nunit.length == 0){
           alert("Maaf, Jumlah barang tidak boleh kosong.");
		   $("#txt_jmlunit").focus();
		   return (false);
        }
        
        if(nhgjual.length == 0){
           alert("Maaf, Harga jual barang 0 (nol), hubungi Admin untuk mengubah harga jual.");
		   $("#txt_barcode").focus();
		   return (false);
        }
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&kodecab="+kodecab+
					"&pasien="+pasien+
					"&kodepl="+kodepl+
					"&namapl="+namapl+
					"&kodedt="+kodedt+
					"&namadt="+namadt+
					"&kodesp="+kodesp+
					"&user="+user+
					"&nourut="+nourut+
					"&kodest="+kodest+
					"&namast="+namast+
					"&barcode="+barcode+
					"&satuan="+satuan+
					"&hgjual="+hgjual+
					"&hgbeli="+hgbeli+
					"&jmlunit="+jmlunit+
					"&jumlah="+jumlah+
					"&hpp="+hpp+
					"&total="+total,
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_caribr").val('');
				$("#txt_barcode").focus();
				cari_nourut();
				tampil_data_detail();
			}
		});
	});
	
	$('#form_lihat_nota').dialog({
		autoOpen: false,
		modal	: true,
		width: 750,
	});
	
	$("#detail").click(function(){
		var kodepj=$("#txt_kode").val();
		$('#form_lihat_nota').dialog('open');
		$("#lihat_nota").show();
		$("#lihat_nota").load('kasir/penjualan/detail_nota.php?kodepj='+kodepj);
	});
	
	$('#form_bayar').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});

	$('#txt_potong').keyup(function(){		
		var potong  = $("#txt_potong").val();
		var limitpot= $("#txt_limitpot").val();
		var total 	= $("#txt_total").val();
		var bayar   = $("#txt_bayar").val();
	    var pjpotong= potong.length;
		var pjawl   = pjpotong-1;
		var akpotong= potong.substring(pjawl,pjpotong);
		var potong=potong.substr(0,pjawl);
		$("#txt_potong").val(potong);
		    
		if(potong=='') var npotong=0;
		else var npotong=parseInt(potong);
		
		if(limitpot=='') var nlimit=0;
		else var nlimit=parseInt(limitpot);
		
		if(npotong>nlimit){
			alert('Maaf, maksimal jumlah potongan adalah Rp '+nlimit+'.');
			return(false);
		}
		var netto = parseInt(total)-npotong;
		$("#txt_netto").val(netto);
		$("#txt_gtotal").val(netto);
		
		if(akpotong=='+') $("#txt_bayar").focus();
	});
	
	$('#form_cari_edc').dialog({
		autoOpen: false,
		modal	: true,
		width: 500,
	});
	
	$('#txt_jenisby').click(function(){
		var jenisby = $("#txt_jenisby").val();
		
		if(jenisby=='TUNAI'){
			$('#txt_nobank').val('');
			$('#txt_jeniskt').val('');
			$('#txt_nokartu').val('');
			$('#txt_charge').val('');		
		}
	});
	
	$('#txt_jenisby').keyup(function(){
		var jenisby = $("#txt_jenisby").val();
		
		if(jenisby=='TUNAI'){
			$('#txt_nobank').val('');
			$('#txt_jeniskt').val('');
			$('#txt_nokartu').val('');
			$('#txt_charge').val('');		
		}
	});
	
	$('#txt_nobank').click(function(){
		var jenisby = $("#txt_jenisby").val();
		
		if(jenisby=='TUNAI') $("#txt_bayar").focus();
		else{
			$('#form_cari_edc').dialog('open');
			$("#info_edc").load('kasir/penjualan/tampil_data_edc.php');
			$("#txt_cariedc").focus();
		}
	});
	
	$('#txt_nobank').keyup(function(){
		var jenisby = $("#txt_jenisby").val();
		
		if(jenisby=='TUNAI') $("#txt_bayar").focus();
		else{
			$('#form_cari_edc').dialog('open');
			$("#info_edc").load('kasir/penjualan/tampil_data_edc.php');
			$("#txt_cariedc").focus();
		}
	});
	
	$("#txt_charge").keyup(function(){
		var netto = $("#txt_netto").val();
		var charge= $("#txt_charge").val();
		
		if(charge=='') var ncharge=0;
		else ncharge=parseInt(charge);
		
		var gtotal= parseInt(netto)+ncharge;
		$("#txt_gtotal").val(gtotal);
		$("#txt_bayar").val(gtotal);
	});
	
	$("#bayar").click(function(){
		var total 	= $("#txt_total").val();
		
		if(total.length == 0){
			alert("Maaf, Total penjualan masih kosong.");
			$("#txt_barcode").focus();
			return (false);
        }		
	});
	
	$("#txt_bayar").keyup(function(){
	    var netto = $("#txt_netto").val();
		var bayar = $("#txt_bayar").val();
		var charge= $("#txt_charge").val();
		
		if(charge=='') var ncharge=0;
		else var ncharge=parseInt(charge);
		
		var kembali	= parseInt(bayar)-parseInt(netto)-ncharge;
		var jbayar	= parseInt(bayar);
		
		$("#txt_kembali").val(kembali);
		format_kembali();
		format_potongan();
	});

	function format_kembali(){
		var angka = $("#txt_kembali").val();
		var jhuruf= angka.length;
		
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/format_rupiah.php",
			data	: "angka="+angka+
					"&jhuruf="+jhuruf,
			dataType: "json",
			success	: function(data){
				$("#txt_ckembali").val(data.huruf);
			}
		});
	}
	
	function format_potongan(){
		var angka = $("#txt_potong").val();
		var jhuruf= angka.length;
		
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/format_rupiah.php",
			data	: "angka="+angka+
					"&jhuruf="+jhuruf,
			dataType: "json",
			success	: function(data){
				$("#txt_cpotong").val(data.huruf);
			}
		});
	}
	
	$("#simpan_by").click(function(){
		var kode	= $("#txt_kode").val();
		var tanggal = $("#txt_tanggal").val();
		var kodecab	= $("#txt_kodecab").val();
		var kodepl 	= $("#txt_kodepl").val();
		var namapl 	= $("#txt_namapl").val();
		var user    = $("#txt_user").val();
		var total	= $("#txt_total").val();
		var jenisby = $("#txt_jenisby").val();
		var nobank  = $("#txt_nobank").val();
		var jeniskt = $("#txt_jeniskt").val();
		var nokartu = $("#txt_nokartu").val();
		var charge  = $("#txt_charge").val();
		var bayar	= $("#txt_bayar").val();
		var kembali	= $("#txt_kembali").val();
		var potong	= $("#txt_potong").val();
		var netto 	= $("#txt_netto").val();
		var tothpp	= $("#txt_tothpp").val();
		var nbayar	= parseInt(bayar);
		var nnetto	= parseInt(netto);
		
		if(tanggal.length == 0){
           alert("Maaf, Tanggal jurnal tidak boleh kosong, tekan tombol F5 untuk merefresh tanggal.");
		   return (false);
        }
		if(kode.length == 0){
           alert("Maaf, Nomor faktur masih kosong, klik Buat Faktur untuk buat nomor baru.");
		   return (false);
        }	
		if(jenisby.length == 0){
			alert("Maaf, Jenis Pembayaran belum tercatat, silahkan klik kembali.");
			$("#txt_jenisby").focus();
			return (false);
        }
        if(total.length == 0){
			alert("Maaf, Total penjualan masih kosong.");
			$("#txt_kodest").focus();
			return (false);
        }
		if(bayar.length == 0){
			alert("Maaf, Jumlah dibayar masih kosong.");
			$("#txt_bayar").focus();
			return (false);
        }
		if(nbayar<nnetto){
			alert('Maaf, jumlah dibayar tidak boleh lebih kecil dari jumlah netto.');
			$("#txt_bayar").focus();
			return(false);
		}
		if(nbayar==0){
			alert('Maaf, jumlah dibayar tidak boleh 0.');
			$("#txt_bayar").focus();
			return(false);
		}
		if(nbayar<0){
			alert('Maaf, jumlah dibayar tidak boleh lebih kecil dari 0.');
			$("#txt_bayar").focus();
			return(false);
		}
		if(!(jenisby=='TUNAI')){
			if(nobank.length == 0){
				alert('Maaf, untuk pembayaran selain TUNAI, Anda harus mengisi kode rekaning bank.');
				$("#txt_nobank").focus();
				return(false);
			}
		}
		
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/simpan_pj.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal+
				"&kodecab="+kodecab+
				"&kodepl="+kodepl+
				"&namapl="+namapl+
				"&user="+user+
				"&total="+total+
				"&jenisby="+jenisby+
				"&nobank="+nobank+
				"&jeniskt="+jeniskt+
				"&nokartu="+nokartu+
				"&charge="+charge+
				"&bayar="+bayar+
				"&kembali="+kembali+
				"&potong="+potong+
				"&tothpp="+tothpp,
			success	: function(data){
				$("#info").html(data);
				$("#txt_posting").val('P');
				$("#data_detail").hide();
				$("#cetak_ft").focus();
			}
		});
	});
	
	$("#cetak_ft").click(function(){
		var kode	= $("#txt_kode").val();
		var total	= $("#txt_total").val();
		var jenisby	= $("#txt_jenisby").val();
		var jeniskt	= $("#txt_jeniskt").val();
		var nokartu	= $("#txt_nokartu").val();
		var charge 	= $("#txt_charge").val();
		var gtotal	= $("#txt_gtotal").val();
		var tbayar	= $("#txt_bayar").val();
		var tgl		= $("#txt_tanggal").val();
		var ucapan 	= $("#txt_ucapan").val();
		var posting	= $("#txt_posting").val();
		
		if(total.length == 0){
			alert("Maaf, Data input faktur belum ada. Klik tombol Buat Faktur untuk mulai.");
			$("#mulai").focus();
			return (false);
        }		
		if(tbayar.length == 0){
			alert("Maaf, Total dibayar masih kosong");
			$("#txt_bayar").focus();
			return (false);
        }		
		if(posting==''){
			alert("Maaf, data penjualan belum disimpan, pencetakan nota tidak dapat dilakukan.");
			$("#txt_barcode").focus();
			return (false);
        }
		
		window.location.href='modul/laporan/faktur_pj.php?kode='+kode+'&tgl='+tgl+'&jenisby='+jenisby+'&jeniskt='+jeniskt+'&nokartu='+nokartu+'&ucapan='+ucapan;
		$("#txt_bayar").val('');
		$("#mulai").focus();
	});
	
	$("#cetak_fkt").click(function(){
		var kode	= $("#txt_kode").val();
		var total	= $("#txt_total").val();
		var jenisby	= $("#txt_jenisby").val();
		var jeniskt	= $("#txt_jeniskt").val();
		var nokartu	= $("#txt_nokartu").val();
		var charge 	= $("#txt_charge").val();
		var gtotal	= $("#txt_gtotal").val();
		var tbayar	= $("#txt_bayar").val();
		var tgl		= $("#txt_tanggal").val();
		var ucapan 	= $("#txt_ucapan").val();
		var posting	= $("#txt_posting").val();
		
		if(total.length == 0){
			alert("Maaf, Data input faktur belum ada. Klik tombol Buat Faktur untuk mulai.");
			$("#mulai").focus();
			return (false);
        }		
		if(tbayar.length == 0){
			alert("Maaf, Total dibayar masih kosong");
			$("#txt_bayar").focus();
			return (false);
        }		
		if(posting==''){
			alert("Maaf, data penjualan belum disimpan, pencetakan nota tidak dapat dilakukan.");
			$("#txt_barcode").focus();
			return (false);
        }
		
		window.location.href='modul/laporan/faktur_pj.php?kode='+kode+'&tgl='+tgl+'&jenisby='+jenisby+'&jeniskt='+jeniskt+'&nokartu='+nokartu+'&ucapan='+ucapan;
		$("#txt_bayar").val('');
		$("#mulai").focus();
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
#txt_ctotal{
	font-size:30px;
	background:#CCC;
}
#txt_cpotong{
	font-size:30px;
	background:#CCC;
}
#txt_cbayar{
	font-size:30px;
	background:#CCC;
}
#txt_ckembali{
	font-size:30px;
	background:#CCC;
}
</style>

<?php
echo "<div style='background-color:white'>";

echo "<div id='tampil_gambar'></div>";

echo "<table style='font:12px verdana' width='100%'>
	<tr>
	    <input type='text' id='txt_level' hidden/>
	    <input type='text' id='txt_kodecab' hidden/>
		<td width='20%' style='font:14px verdana;color:red'><b>Tekan Q pada kolom Barcode untuk melakukan pembayaran !</b></td>
		<td width='60%' style='font:12px verdana' ><button id='mulai' style='font:12px verdana;color:blue'><b>Buat Faktur</b></button>
			<button id='reprint' style='font:12px verdana;color:blue'><b>Cetak Ulang</b></button>
			<button id='pending' style='font:12px verdana;color:blue'><b>Pending Transaksi</b></button>
			<button id='ambil_pdg' style='font:12px verdana;color:blue'><b>Ambil Pending</b></button>
			<button type='reset' onclick='history.back()' style='font:12px verdana;color:blue'><b>Tutup</b></button>
			<button id='detail' style='font:12px verdana;color:blue'><b>Lihat Detail</b></button>
		</td>
		<td width='20%' align='right' style='font:25px timesnewroman'>Kasir : <input type='text' style='font:25px forte;color:green' id='txt_user' size='7' readonly/></td>
	</tr>
</table>
<hr>
	
<table width='100%' style='font:12px verdana'>
	<tr>		
		<input type='text' id='txt_limitpot' class='input_header' hidden/>
		<input type='text' id='txt_ucapan' class='input_header' hidden/>
		<td>Nomor Nota : <input type='text' style='font:12px verdana' id='txt_kode' size='15' class='input_header' readonly/></td>
		<td>Tanggal : <input type='date' style='font:12px verdana' id='txt_tanggal' size='10' class='input_header'></td>
		<td>Dokter : <input type='text' style='font:12px verdana' id='txt_namadt' size='20' class='input_header'> 
			<input type='text' style='font:12px verdana' id='txt_kodedt' size='4' class='input_header' readonly/>
		</td>
		<td>Pasien : <input type='text' style='font:12px verdana' id='txt_pasien' size='20' class='input_header'></td>
		<td>Paramedis : <input type='text' style='font:12px verdana' id='txt_namapl' size='20' class='input_header'> 
			<input type='text' style='font:12px verdana' id='txt_kodepl' size='4' class='input_header' readonly/>
		</td>
	</tr>
</table>
<hr>";

echo "<div id='form_input' style='background-color:white;font:12px verdana'>
	<table>
		<tr>
			<th>Kategori</th>
			<th>Barcode</th>
			<th>Nama Barang</th>
			<th>Satuan</th>
			<th>Jumlah</th>
			<th></th>
			<th>Harga</th>
			<th>Jumlah Harga</th>
		</tr>
		<tr>
			<input type='text' id='t_hgjual' class='input_detail' hidden/>
			<input type='text' id='txt_hgresep' class='input_detail' hidden/>
			<input type='text' id='txt_hgparam' class='input_detail' hidden/>
			<input type='text' id='txt_jmlstok' class='input_detail' hidden/>
			<input type='text' id='txt_hgbeli' class='input_detail' hidden/>
			<input type='text' id='txt_hpp' class='input_detail' hidden/>
			<input type='text' id='txt_tothpp' class='input_detail' hidden/>
			<input type='text' id='txt_nourut' class='input_detail' hidden/>
			<input type='text' id='txt_kodest' class='input_detail' hidden/>
			<input type='text' id='txt_kodesp' class='input_detail' hidden/>
			<input type='text' id='txt_kodegr' class='input_detail' hidden/>
			<td><select id='txt_kategori'>
			        <option val='UMUM'>UMUM</option>
			        <option val='RESEP'>RESEP</option>
			        <option val='PARAMEDIS'>PARAMEDIS</option>
			    </select>
			</td>
			<td align='center'><input type='text' style='font:12px verdana' id='txt_barcode' class='input_detail' size='15'></td>
			<td align='center'><input type='text' style='font:12px verdana' id='txt_namast' class='input_detail' size='40'></td>
			<td><input type='text' style='font:12px verdana' id='txt_satuan' class='input_detail' size='10' readonly /></td>
			<td align='center'><input type='text' style='font:12px verdana' id='txt_jmlunit' class='input_detail' size='8' maxlength='6'></td>
			<td><button name='simpan' id='simpan' style='font:12px verdana;color:red'><b>Rekam</b></button></td>
			<td align='center'><input type='text' style='font:12px verdana' id='txt_hgjual' class='input_detail' size='10' readonly/></td>
			<td align='center'><input type='text' style='font:12px verdana' id='txt_jumlah' class='input_detail' size='12' readonly/></td>
		</tr>
	</table>
	<table>
		<tr>			
			<td style='font:16px verdana'>Total : <input style='color:maroon' align='right' type='text' id='txt_ctotal' class='input_bayar' size='9' readonly /></td>
			<td style='font:16px verdana'>Potongan : <input style='color:maroon' align='right' type='text' id='txt_cpotong' class='input_bayar' size='9' readonly /></td>
			<td style='font:16px verdana'>Dibayar : <input style='color:maroon' align='right' type='text' id='txt_cbayar' class='input_bayar' size='9' readonly /></td>
			<td style='font:16px verdana'>Kembali : <input style='color:maroon' align='right' type='text' id='txt_ckembali' class='input_bayar' size='8' readonly /></td>
			<td align='left'><button id='cetak_fkt' style='font:12px verdana;color:red'><b>Cetak Nota</b></button></td>
		</tr>
	</table>
	<hr>
	</div>";

echo "<div id='data_detail' style='overflow-x: auto;height:300px;scroll-behavior: smooth'></div>";
	
echo "<div id='form_cari_plg' title='Pencarian Data Pelanggan'>
		<table width='100%'>
			<tr>
				<td>Cari pelanggan : <input type='text' name='txt_caripl' id='txt_caripl' size='30'></td>
			</tr>
		</table>
		<div id='info_plg' align='center'></div>
	</div>";
	
echo "<div id='form_cari_dokter' title='Pencarian Data Dokter'>
		<table width='100%'>
			<tr>
				<td>Cari nama : <input type='text' id='txt_caridt' size='30'></td>
			</tr>
		</table>
		<div id='info_dokter' align='center'></div>
	</div>";

echo "<div id='form_cari_barang' title='Pencarian Barang'>
		<table width='100%'>
			<tr>
				<td>Cari barang : <input type='text' name='txt_caribr' id='txt_caribr' size='40'></td>
			</tr>
		</table>
		<div id='info_barang' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='form_lihat_nota' title='Detail nota'>
		<div id='lihat_nota' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";
	
echo "<div id='tampil_data' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>";
		
echo "<div id='form_ambil_pending' title='Pengambilan Pending Transaksi'>
		<div id='info_pending' align='center'></div>
	</div>";
	
echo "<div id='form_bayar' title='Form Pembayaran' style='background-color:orange;font:16px verdana'>
		<table>
			<tr>
				<input type='text' id='txt_posting' class='input_detail' hidden />			
				<td>Total Belanja</td>
				<td>: <input align='right' type='text' id='txt_total' class='input_bayar' style='font:20px verdana' readonly/></td>
			</tr>
			<tr>
				<td>Potongan</td>
				<td>: <input type='text' id='txt_potong' class='input_bayar' style='font:20px verdana' size='10'> (Ketik + untuk ke kolom Dibayar)</td>
			</tr>
			<tr>
				<td>Netto</td>
				<td>: <input type='text' id='txt_netto' class='input_bayar' style='font:20px verdana' size='10' readonly/>
			</tr>
			<tr>
				<td>Jenis Pembayaran</td>
				<td>: <select id='txt_jenisby' style='font:20px verdana'>
						<option>TUNAI</option>
						<option>EDC</option>
						<option>QRIS</option>
						<option>GRAB</option>
					</select>
				</td>
			</tr>
			<tr>
				<td>Rekening EDC</td>
				<td>: <input type='text' id='txt_nobank' class='input_bayar' style='font:20px verdana' size='10'>
			</tr>
			<tr>
				<td>Jenis Kartu</td>
				<td>: <input type='text' id='txt_jeniskt' size='20' style='font:20px verdana'></td>
			</tr>
			<tr>
				<td>Nomor Kartu</td>
				<td>: <input type='text' id='txt_nokartu' class='input_bayar' style='font:20px verdana'></td>	
			</tr>
			<tr>
				<td>Charge EDC</td>
				<td>: <input align='right' type='text' id='txt_charge' class='input_bayar' style='font:20px verdana'></td>	
			</tr>
			<tr>
				<td>Grand Total</td>
				<td>: <input align='right' type='text' id='txt_gtotal' class='input_bayar' style='font:20px verdana' readonly/></td>	
			</tr>
			<tr>
				<td>Dibayar</td>
				<td>: <input align='right' type='text' name='txt_bayar' id='txt_bayar' class='input_bayar' size='10' style='font:20px verdana' maxlength='9' style='font:20px verdana'> <button name='simpan_by' id='simpan_by' style='font:20px verdana'>Simpan</button> <button id='cetak_ft' style='font:20px verdana'>Cetak Nota</button></td>
			</tr>
			<tr>
				<td>Kembali</td>
				<td>: <input align='right' type='text' id='txt_kembali' class='input_bayar' size='9' style='font:20px verdana' readonly /></td>
			</tr>
		</table>
	</div>";

	echo "<div id='form_cari_edc' title='Pencarian Rekening EDC'>
		<table width='100%'>
			<tr>
				<td><input type='text' id='txt_cariedc' size='20'></td>
			</tr>
		</table>
		<div id='info_edc' align='center'></div>
	</div>";

echo "</div>";
?>